## kinect-audio-setup 0.3

=== Makefile ===
all:
	$(MAKE) -C kinect_upload_fw 

install:
	$(MAKE) -C kinect_upload_fw install
	install -d $(DESTDIR)/lib/udev/rules.d
	install -m 644 contrib/55-kinect_audio.rules.in $(DESTDIR)/lib/udev/rules.d/55-kinect_audio.rules

clean:
	$(MAKE) -C kinect_upload_fw clean

changelog:
	git log --pretty="format:%ai  %aN  <%aE>%n%n%x09* %s%d%n" > ChangeLog

=== kinect_upload_fw/Makefile ===
CFLAGS ?= -std=c99 -pedantic -Wall -Wextra -O2

# Don't make pedantic checks errors,
# as vanilla libusb-1.0.8 can't live with that
#CFLAGS += -pedantic-errors

# GCC >= 4.6
#CFLAGS += -Wunused-but-set-variable

CFLAGS += -fno-common \
  -Wall \
  -Wextra \
  -Wformat=2 \
  -Winit-self \
  -Winline \
  -Wpacked \
  -Wp,-D_FORTIFY_SOURCE=2 \
  -Wpointer-arith \
  -Wlarger-than-65500 \
  -Wmissing-declarations \
  -Wmissing-format-attribute \
  -Wmissing-noreturn \
  -Wmissing-prototypes \
  -Wnested-externs \
  -Wold-style-definition \
  -Wredundant-decls \
  -Wsign-compare \
  -Wstrict-aliasing=2 \
  -Wstrict-prototypes \
  -Wswitch-enum \
  -Wundef \
  -Wunreachable-code \
  -Wunsafe-loop-optimizations \
  -Wwrite-strings

CFLAGS += $(shell pkg-config --cflags libusb-1.0)
LDLIBS += $(shell pkg-config --libs libusb-1.0)

PREFIX ?= /usr/local
bindir := $(PREFIX)/sbin

all: kinect_upload_fw


endian: endian.o

endian.h: endian
	rm -f endian.h
	./endian > endian.h

kinect_upload_fw.o: endian.h

kinect_upload_fw: kinect_upload_fw.o


install: kinect_upload_fw
	install -d $(DESTDIR)$(bindir)
	install -m 755 kinect_upload_fw $(DESTDIR)$(bindir)

clean:
	rm -rf *~ *.o kinect_upload_fw endian endian.h

=== debian/changelog ===
kinect-audio-setup (0.3-1) unstable; urgency=medium

  * debian: remove kinect-audio-setup.lintian-overrides
  * debian/postrm: do not try to remove /lib/firmware/
  * debian/control: reformatting done by cme
  * debian/copyright: update copyright years for the package files

 -- Antonio Ospite <ospite@studenti.unina.it>  Fri, 06 Dec 2013 23:29:42 +0100

kinect-audio-setup (0.2-3) unstable; urgency=low

  * debian/kinect-audio-setup.lintian-overrides: move from debian/lintian
  * debian/install: drop debian/lintian/kinect-audio-setup
  * debian/control: switch to debhelper >= 9
  * debian/gbp.conf: explicitly disable pristine-tar
  * debian/control: specify the debian package branch in Vcs-Git
  * debian/control: bump Standards-Version to 3.9.5
  * debian/copyright: update to Copyright-Format 1.0
  * debian/watch: add a watch file
  * debian/rules: remove some unneeded comments
  * debian/control: fix short and long descriptions
  * debian/po/templates.pot: fill in some info in the header
  * debian/po/it.po: add Italian translation for the debconf dialogs

 -- Antonio Ospite <ospite@studenti.unina.it>  Tue, 19 Nov 2013 17:49:54 +0100

kinect-audio-setup (0.2-2) unstable; urgency=low

  * [a3661fb] debian: depend on p7zip-full >= 9.20
  * [cb6e177] debian: use debconf to ask if the user accepts the MSK4W EULA

 -- Antonio Ospite <ospite@studenti.unina.it>  Fri, 03 Feb 2012 13:02:26 +0100

kinect-audio-setup (0.2-1) unstable; urgency=low

  * [bb49f29] kinect_upload_fw: disable some compiler flags
  * [061cb66] kinect_upload_fw: fix generating endian.h before compiling
    kinect_upload_fw
  * [d377579] kinect_upload_fw: fix a mingw32 compilation error
  * [15a7d9a] kinect_upload_fw: fix reading the firmware file on Windows
  * [e1bc8be] Update .gitignore
  * [54b0fdd] Add info about building kinect_upload_fw for MS Windows
  * [863d1b3] kinect_upload_fw: specify libraries after objects in the linking
    command
  * [f277611] kinect_fetch_fw: mention wget in the internal documentation
  * [8184ae6] kinect_fetch_fw: download the latest KinectSDK-v1.0-beta2-x86.msi
  * [c8bf462] kinect_fetch_fw: make the script less verbose when invoking 7z
  * [73ef2c4] README: fix a typo and add some clarifications
  * [aaf68f5] README: tell where we are getting the actual firmware from
  * [24c4089] kinect_fetch_fw: tell where we are getting the firmware from
  * [41a7237] Add ChangeLog for v0.2
  * [7983d17] debian: import upstream version v0.2
  * [c4496ae] debian: fix debian-changelog-line-too-long lintian warnings
  * [a9c382f] debian/control: tell where the UAC firmare if downloaded from

 -- Antonio Ospite <ospite@studenti.unina.it>  Sun, 27 Nov 2011 13:30:53 +0100

kinect-audio-setup (0.1-1) unstable; urgency=low

  * Initial release (Closes: #645072)

 -- Antonio Ospite <ospite@studenti.unina.it>  Wed, 12 Oct 2011 12:51:53 +0200

=== debian/control ===
Source: kinect-audio-setup
Maintainer: Antonio Ospite <ospite@studenti.unina.it>
Section: contrib/sound
XS-Autobuild: no
Priority: extra
Build-Depends: debhelper (>= 9),
               po-debconf,
               libusb-1.0-0-dev,
               pkg-config
Standards-Version: 3.9.5
Vcs-Browser: http://git.ao2.it/kinect-audio-setup.git/
Vcs-Git: git://git.ao2.it/kinect-audio-setup.git -b debian
Homepage: http://git.ao2.it/kinect-audio-setup.git/

Package: kinect-audio-setup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         debconf,
         udev,
         wget,
         p7zip-full (>= 9.20)
Description: helpers to setup audio input from the Microsoft Kinect sensor
 When the Kinect is first plugged in the USB port it shows up as
 a generic USB device with a bulk endpoint; after uploading a certain
 firmware a reenumeration takes place and a USB Audio Class device
 becomes available.
 .
 kinect-audio-setup provides tools to download the firmware off the net
 at installation time —since the firmware is not redistributable—, and
 it sets up udev rules to call the firmware loader when the device is
 plugged in to finally get the USB Audio Class device.
 .
 The UAC firmware is downloaded from the Microsoft Kinect SDK at
 http://www.kinectforwindows.org, the license of the SDK can be found at
 http://www.kinectforwindows.org/download/EULA.htm

=== debian/rules ===
#!/usr/bin/make -f

%:
	PREFIX=/usr dh $@

## kinect-audio-setup 0.5

=== Makefile ===
all:
	$(MAKE) -C kinect_upload_fw

install:
	$(MAKE) -C kinect_upload_fw install

install_udev_rules:
	install -d $(DESTDIR)/lib/udev/rules.d
	install -m 644 contrib/55-kinect_audio.rules.in $(DESTDIR)/lib/udev/rules.d/55-kinect_audio.rules
	./kinect_patch_udev_rules \
	  "$(FIRMWARE_PATH)" \
	  "$(LOADER_PATH)" \
	  "$(DESTDIR)/lib/udev/rules.d/55-kinect_audio.rules"

clean:
	$(MAKE) -C kinect_upload_fw clean

=== kinect_upload_fw/Makefile ===
--- 
+++ 
@@ -30,8 +30,11 @@
   -Wswitch-enum \
   -Wundef \
   -Wunreachable-code \
-  -Wunsafe-loop-optimizations \
   -Wwrite-strings
+
+ifneq ($(CC),clang)
+  CFLAGS += -Wunsafe-loop-optimizations
+endif
 
 CFLAGS += $(shell pkg-config --cflags libusb-1.0)
 LDLIBS += $(shell pkg-config --libs libusb-1.0)

=== debian/changelog ===
kinect-audio-setup (0.5-3) unstable; urgency=medium

  * QA upload.
  * Move to 7zip. (Closes: #1063582)

 -- Bastian Germann <bage@debian.org>  Wed, 17 Sep 2025 11:29:12 +0200

kinect-audio-setup (0.5-2) unstable; urgency=medium

  * QA upload.

  * Orphaned package with approval from Antonio Ospite.
  * Updated d/gbp.conf with new branches and to enforce pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.2.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Switched Vcs-* to salsa.
  * Corrected build dependency from pkg-config to pkgconf.
  * Added AppStream metainfo XML announcing HW support (Closes: #1077363).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 05 Mar 2025 00:07:51 +0100

kinect-audio-setup (0.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use udev.pc to place udev files. (Closes: #1058846)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 07 Jun 2024 21:51:15 +0200

kinect-audio-setup (0.5-1) unstable; urgency=medium

  * debian: update contact info and copyright dates
  * debian/kinect_fetch_fw.8: update to match the new script from upstream
  * debian/copyright: add kinect_patch_udev_rules
  * debian: fix broken links to the Kinect For Windows EULA
  * debian/rules: install and patch the udev rules file at install time
  * debian/postinst: fix kinect_fetch_fw usage for the new upstream version
  * debian/postrm: remove /lib/firmware/ if it's empty

 -- Antonio Ospite <ao2@ao2.it>  Sat, 09 Jan 2016 15:38:54 +0100

kinect-audio-setup (0.4-1) unstable; urgency=medium

  * debian/po: add Turkish translation of debconf templates.
    Thanks to Mert Dirik (Closes: #757871)
  * debian/po: add Dutch translation of debconf templates.
    Thanks to Frans Spiesschaert (Closes: #767491)
  * debian/copyright: split the license texts from file attribution
  * debian/copyright: use GPL-2+ as a fallback license
  * debian/po: add Swedish translation of debconf templates.
    Thanks to Martin Bagge, Anders Jonsson (Closes: #769869)
  * debian/po: add Brazilian Portuguese translation of debconf templates.
    Thanks to Leonardo Santiago Sidon da Rocha (Closes: #810010)
  * debian/patches: drop all patches, they have been applied upstream
  * debian/control: bump Standards-Version to 3.9.6
  * debian/rules: install the NEWS file as the upstream changelog

 -- Antonio Ospite <ao2@ao2.it>  Thu, 07 Jan 2016 19:48:13 +0100

kinect-audio-setup (0.3-2) unstable; urgency=medium

  * debian/patches: add a patch to make kinect_upload_fw work with more devices
  * debian/po: add Portuguese translation for debconf messages.
    Thanks to Américo Monteiro (Closes: #733259)
  * debian/po/pt.po: fix a typo in a comment s/Translalion/Translation/
  * debian/{control,templates}: use the text reviewed by debian-l10n.
    Thanks to Christian PERRIER and Justin B Rye (Closes: #733300)
  * debian: update Maintainer email address
  * debian/po: update Portuguese translation of debconf templates.
    Thanks to Américo Monteiro (Closes: #733259)
  * debian/po: add Russian translation of debconf templates.
    Thanks to Yuri Kozlov (Closes: #739421)
  * debian/po: add Danish translation of debconf templates.
    Thanks to Joe Hansen (Closes: #739747)
  * debian/po: add French translation of debconf templates.
    Thanks to Julien Patriarca (Closes: #739870)
  * debian/po: add German translation of debconf templates.
    Thanks to Stephan Beck, Christian PERRIER (Closes: #739948)
  * debian/po: update Italian translation fo the debconf templates
    (Closes: #740075)
  * debian/po/pt.po: remove the old untranslated strings
  * debian/po: update templates.pot
  * debian/po: add Spanish translation of debconf templates.
    Thanks to Matías A. Bellone (Closes: #740570)
  * debian/po: add Polish translation of debconf templates.
    Thanks to Michał Kułach (Closes: #740629)
  * debian/po: add Japanese translation of debconf templates.
    Thanks to victory (Closes: #740713)
  * debian/po: reformat and cleanup translations.
    Thanks to Christian PERRIER
  * debian/po: add Czech translation of debconf templates.
    Thanks to Michal Šimůnek (Closes: #751415)

 -- Antonio Ospite <ao2@ao2.it>  Thu, 19 Jun 2014 13:00:21 +0200

=== debian/control ===
Source: kinect-audio-setup
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: contrib/sound
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper-compat (= 13),
               po-debconf,
               libusb-1.0-0-dev,
               pkgconf,
               systemd-dev
Standards-Version: 4.7.2
Homepage: http://git.ao2.it/kinect-audio-setup.git/
Vcs-Git: https://salsa.debian.org/debian/kinect-audio-setup.git
Vcs-Browser: https://salsa.debian.org/debian/kinect-audio-setup

Package: kinect-audio-setup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         debconf,
         udev,
         wget,
         7zip
Description: Microsoft Kinect sensor audio setup helpers
 When the Kinect sensor is first plugged in, its audio input device shows
 up as a generic USB device; after the appropriate firmware is loaded, the
 device is reset and it becomes available as a USB Audio Class (UAC)
 device.
 .
 Since the firmware is not redistributable, kinect-audio-setup provides
 tools to download it from the Internet at installation time, and sets up
 udev rules to call the firmware loader when the device is plugged in to
 finally get the UAC device.
 .
 The UAC firmware is downloaded from the Microsoft Kinect Software
 Development Kit at http://www.microsoft.com/en-us/kinectforwindows/, the
 license of which can be found at
 http://research.microsoft.com/en-us/um/legal/kinectsdk-tou_noncommercial.htm

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	PREFIX=/usr dh $@

override_dh_auto_install:
	dh_auto_install
	$(MAKE) install_udev_rules \
	  DESTDIR=$(TMP) \
	  UDEVDIR=$(shell pkg-config --variable=udevdir udev) \
	  LOADER_PATH=/usr/sbin/kinect_upload_fw \
	  FIRMWARE_PATH=/lib/firmware/kinect/UACFirmware

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3

opts=downloadurlmangle=s/shortlog\/refs\/tags\/(v[\d\.]+)/snapshot\/$1.tar.gz/,\
filenamemangle=s/.*v([\d\.]+)$/kinect-audio-setup-$1.tar.gz/ \
  http://git.ao2.it/kinect-audio-setup.git/tags  ^.*v([\d\.]+)
